Get webhook by ID
curl --request GET \
--url https://api.sendx.io/api/v1/rest/webhook/{identifier} \
--header 'X-Team-ApiKey: <api-key>'import requests
url = "https://api.sendx.io/api/v1/rest/webhook/{identifier}"
headers = {"X-Team-ApiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Team-ApiKey': '<api-key>'}};
fetch('https://api.sendx.io/api/v1/rest/webhook/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "webhook_9l154iiXlZoPo7vngmamee",
"enabled": true,
"url": "https://api.example.com/webhooks/sendx",
"unsubscribed": true,
"dropped": true,
"bounced": true,
"markedSpam": true,
"clicked": true,
"opened": true,
"contactCreated": true,
"created": 1705750200
}{
"status": 401,
"message": "The Team ID or API Key specified is not valid"
}{
"status": "error",
"message": "Resource not found"
}{
"status": "error",
"message": "Request body is not in proper format"
}{
"status": "error",
"message": "Internal server error occurred"
}Webhook
Get webhook by ID
Retrieves details about a specific webhook.
GET
/
webhook
/
{identifier}
Get webhook by ID
Authorizations
Team API key for authentication. Find your API key in SendX Settings → Team API Key.
Example:
X-Team-ApiKey: your_team_api_key_here
Path Parameters
Webhook identifier to retrieve
Pattern:
^(webhook_)?[a-zA-Z0-9]{22}$Response
✅ Webhook retrieved successfully
Example:
"webhook_9l154iiXlZoPo7vngmamee"
Webhook endpoint URL
Example:
"https://api.example.com/webhooks/sendx"
Whether webhook is enabled
Trigger webhook when a contact unsubscribes
Trigger webhook when an email is dropped
Trigger webhook when an email bounces
Trigger webhook when an email is marked as spam
Trigger webhook when a link in the email is clicked
Trigger webhook when an email is opened
Trigger webhook when a new contact is created
Was this page helpful?